package com.eitc.manage.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;










/**
 * 系统政所维护实体
 *
 * @author eitc
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("系統診所維護表")
@TableName("sys_clinic_info")
public class SysClinicInfo extends EitcBaseEntity
{


    @TableField(value = "clinic_code")
    @ApiModelProperty(value = "诊所编号", name = "phoneNumber")
    private String clinicCode;

    @TableField(value = "clinic_name")
    @ApiModelProperty(value = "诊所名称", name = "password")
    @NotBlank(message = " 诊所名称不能为空")
    private String clinicName;

    @TableField(value = "clinic_ip")
    @ApiModelProperty(value = "服务IP", name = "clinicIp")
    @NotBlank(message = " 服务器IP不能为空")
    private String clinicIp;

    @TableField(value = "server_user")
    @ApiModelProperty(value = "服务用户", name = "serverUser")
    @NotBlank(message = " 服务器用户不能为空")
    private String serverUser;

    @TableField(value = "server_password")
    @ApiModelProperty(value = "服务密码", name = "serverPassword")
    @NotBlank(message = " 服务器密码不能为空")
    private String serverPassword;

    @TableField(value = "realm_name")
    @ApiModelProperty(value = "诊所域名", name = "realmName")
    @NotBlank(message = " 诊所域名不能为空")
    private String realmName;

    @TableField(value = "creat_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "创建时间", name = "creatTime")
    @NotNull(message = "创建时间不能为空")
    private Date creatTime;

    @TableField(value = "expire_time")
    @ApiModelProperty(value = "到期时间", name = "expireTime")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @NotNull(message = "到期时间不能为空")
//    @NotBlank(message = "到期时间不能为空")
    private Date expireTime;

    @TableField(value = "version_info")
    @ApiModelProperty(value = "版本信息", name = "versionInfo")
    @NotBlank(message = "版本信息不能为空")
    private String versionInfo;

    @TableField(value = "region")
    @ApiModelProperty(value = "所在地区", name = "region")
    @NotBlank(message = "所在地区不能为空")
    private String region;

    @TableField(value = "phone")
    @ApiModelProperty(value = "绑定手机", name = "phone")
    @NotBlank(message = "手机号不能为空")
    private String phone;

    @TableField(value = "address")
    @ApiModelProperty(value = "详细地址", name = "address")
    @NotBlank(message = "详细地址不能为空")
    private String address;

    @TableField(value = "status_int")
    @ApiModelProperty(value = "诊所状态", name = "statusInt")
    private String statusInt;

    @TableField(value = "quota")
    @ApiModelProperty(value = "账户名额", name = "quota")
    private String quota;

    @TableField(value = "server_code")
    @ApiModelProperty(value = "服务器编码", name = "ServerCode")
    private String serverCode;

    @TableField(value = "version_refer")
    @ApiModelProperty(value = "版本描述", name = "VersionRefer")
    @NotBlank(message = "版本描述不能为空")
    private String versionRefer;

    @TableField(value = "version_repair")
    @ApiModelProperty(value = "修复版本号", name = "versionRepair")
    private String versionRepair;

    @TableField(value = "v_code")
    @ApiModelProperty(value = "履约版本MD5的编码", name = "v_code")
    private String vCode;

    @TableField(value = "repair_code")
    @ApiModelProperty(value = "bug版本MD5的编码", name = "repair_code")
    private String repairCode;

    @TableField(exist = false)
    private String pageNum;

    @TableField(exist = false)
    private String pageSize;


}
