package com.eitc.patient.controller;

import com.eitc.common.core.controller.BaseController;
import com.eitc.common.core.domain.AjaxResult;
import com.eitc.patient.service.IClinicInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * ClinicInfoController
 *
 * @author mtx
 * @date: 2024/05/17 15:51
 */
@Api(tags = "APP诊所信息")
@RestController
@RequestMapping("/app/clinic-info")
public class AppClinicInfoController extends BaseController {

    @Resource
    private IClinicInfoService clinicInfoService;


    /**
     * 获取门诊信息详细信息
     */
    @GetMapping(value = "/detail")
    @ApiOperation("医院介绍")
    public AjaxResult detail() {
        return success(clinicInfoService.findClinicInfo());
    }

}
