package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * AppUser
 *
 * @author mtx
 * @date: 2024年6月11日 17:26:33
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("app用户")
@TableName("erm_app_user")
public class AppUser extends EitcBaseEntity {

    @TableField(value = "phone_number")
    @ApiModelProperty(value = "手机号码", name = "phoneNumber")
    private String phoneNumber;

    @TableField(value = "password")
    @ApiModelProperty(value = "密码", name = "password")
    private String password;

    @TableField(value = "identification_card")
    @ApiModelProperty(value = "手机号码", name = "identificationCard")
    private String identificationCard;

    @TableField(value = "avatar")
    @ApiModelProperty(value = "用户头像", name = "avatar")
    private String avatar;

}
