package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * AppointmentProject
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("预约项目")
@TableName("erm_appointment_project")
public class AppointmentProject extends EitcBaseEntity {

    @TableField(value = "parent_id")
    @ApiModelProperty(value = "父级id", name = "parentId")
    private String parentId;

    @TableField(value = "appointment_name")
    @ApiModelProperty(value = "项目名称", name = "appointmentName")
    @NotBlank(message = "项目名称不能为空")
    private String appointmentName;

    @TableField(value = "type")
    @ApiModelProperty(value = "类型(1目录，2项目)", name = "type")
    private Integer type;

}
