package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * CollectCostType
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("收费分类表")
@TableName("erm_collect_cost_type")
public class CollectCostType extends EitcBaseEntity {

    @TableField(value = "parent_id")
    @ApiModelProperty(value = "父级id", name = "parentId")
    @NotBlank(message = "父级id不能为空")
    private String parentId;

    @TableField(value = "cost_type_name")
    @ApiModelProperty(value = "分类名称", name = "costTypeName")
    @NotBlank(message = "分类名称不能为空")
    @Size(max = 50, message = "分类名称长度不能超过50个字符")
    private String costTypeName;

    @TableField(value = "order_num")
    @ApiModelProperty(value = "排序", name = "orderNum")
    private Integer orderNum;

}
