package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * SchedulingDetails
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("排班详情")
@TableName("erm_scheduling_details")
public class SchedulingDetails extends EitcBaseEntity {

    @TableField(value = "doctor_id")
    @ApiModelProperty(value = "医生id", name = "doctorId")
    private String doctorId;

    @TableField(value = "work_date")
    @ApiModelProperty(value = "工作日期", name = "workDate")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date workDate;

    @TableField(value = "work_year")
    @ApiModelProperty(value = "工作年份", name = "workYear")
    private Integer workYear;

    @TableField(value = "work_month")
    @ApiModelProperty(value = "工作月份", name = "workMonth")
    private Integer workMonth;

    @TableField(value = "work_day")
    @ApiModelProperty(value = "工作日期", name = "workDay")
    private Integer workDay;

    @TableField(value = "work_status")
    @ApiModelProperty(value = "工作状态", name = "workStatus")
    private String workStatus;

}
