package com.eitc.patient.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.eitc.patient.domain.DiagnosisTypeOrderDoctor;
import com.eitc.patient.dto.DiagnosisTypeOrderDoctorDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * DiagnosisTypeOrderDoctorMapper
 *
 * @author mtx
 * @date: 2024/05/17 15:31
 */
@Mapper
public interface DiagnosisTypeOrderDoctorMapper extends BaseMapper<DiagnosisTypeOrderDoctor> {

    /**
     * 查询分类排序
     *
     * @param doctorId 医生id
     * @return 返回结果
     * @author mtx
     * @date: 2024/7/10 14:12
     */
    List<DiagnosisTypeOrderDoctorDto> findListByDoctorId(@Param("doctorId") String doctorId);

    /**
     * 通过医生ID删除排序
     * @param doctorId 医生id
     * @author mtx
     * @date: 2024/7/15 9:16
     */
    void removeDoctorId(@Param("doctorId") String doctorId);
}
