package com.eitc.patient.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.eitc.patient.domain.DiagnosisTypeTemplate;
import com.eitc.patient.excel.DiagnosisTypeTemplateExcel;
import com.eitc.patient.vo.DiagnosisTypeTemplateSaveVO;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * DiagnosisTypeTemplateService
 *
 * @author mtx
 * @date: 2024/05/17 15:36
 */
@Service
public interface IDiagnosisTypeTemplateService extends IService<DiagnosisTypeTemplate> {

    /**
     * 获取模板选项的json串
     *
     * @param templateExample 要获取json串的示例
     * @return json串
     * @author mtx
     * @date: 2024/5/20 14:50
     */
    String findTemplateOptionJson(String templateExample);

    /**
     * 获取模板数据的json串
     *
     * @param templateExample 要获取json串的示例
     * @return json串
     * @author mtx
     * @date: 2024/5/20 14:50
     */
    String findTemplateInfo(String templateExample);

    /**
     * 导入诊断分类模板
     *
     * @param file            文件
     * @param diagnosisTypeId 诊断分类id
     * @return 错误信息
     * @author mtx
     * @date: 2024/5/20 15:27
     */
    List<DiagnosisTypeTemplateExcel> importTemplate(MultipartFile file, String diagnosisTypeId) throws IOException;

    /**
     * 新增或修改诊断模板
     * @param entry 参数
     * @return 返回值
     * @author mtx
     * @date: 2024/6/7 14:06
     */
    boolean add(DiagnosisTypeTemplateSaveVO entry);
}
