package com.eitc.patient.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.eitc.patient.domain.MedicalRecord;
import com.eitc.patient.dto.MedicalRecordListDto;
import com.eitc.patient.vo.MedicalRecordParamVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * MedicalRecordService
 *
 * @author mtx
 * @date: 2024/05/17 15:37
 */
@Service
public interface IMedicalRecordService extends IService<MedicalRecord> {

    /**
     * 保存病历
     * @param vo 参数
     * @author mtx
     * @date: 2024/5/22 10:00
     */
    void addOrEdit(MedicalRecordParamVO vo);

    /**
     * 封装病历信息
     *
     * @param medicalRecord 病历信息
     * @return 病历信息
     * @author mtx
     * @date: 2024/5/23 9:17
     */
    MedicalRecordParamVO getMedicalRecordVO(MedicalRecord medicalRecord);

    /**
     * 病历列表
     * @param searchParam 病历信息
     * @return 病历列表
     * @author mtx
     * @date: 2024/5/23 9:17
     */
    List<MedicalRecordListDto> medicalRecordList(String searchParam);
}
