package com.eitc.patient.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.eitc.patient.domain.ProtocolType;
import org.springframework.stereotype.Service;

/**
 * IProtocolTypeService
 *
 * @author mtx
 * @date: 2024/05/17 15:36
 */
@Service
public interface IProtocolTypeService extends IService<ProtocolType> {

    /**
     * 根据协议名称获取协议类型的ID。
     * 此方法通过查询协议类型服务，获取指定协议名称对应的协议类型ID。
     * 如果找不到对应的协议类型，则抛出IllegalArgumentException异常。
     *
     * @param type 协议名称
     * @return 对应协议名称的协议类型的ID
     * @throws IllegalArgumentException 如果未找到协议类型，则抛出此异常
     */
    String getProtocolTypes(String type);
}
