package com.eitc.patient.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.eitc.patient.domain.PatientFollowUp;
import com.eitc.patient.dto.PatientAppointmentDto;
import com.eitc.patient.mapper.PatientFollowUpMapper;
import com.eitc.patient.service.IPatientFollowUpService;
import com.eitc.patient.vo.PatientFollowUpVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 患者回访Service业务层处理
 *
 * @author eitc
 * @date 2024-07-05
 */
@Service
public class PatientFollowUpServiceImpl extends ServiceImpl<PatientFollowUpMapper, PatientFollowUp> implements IPatientFollowUpService {


    /**
     * 根据条件查询患者预约信息列表。
     *
     * @param map 查询条件参数对象。
     * @return 患者预约信息列表。
     * @author mtx
     * @date 2024/5/27 9:26
     */
    @Override
    public List<PatientAppointmentDto> findAppointmentLists(Map<String, String> map) {
        return this.baseMapper.findAppointmentLists(map);
    }

    /**
     * 根据条件查询患者回访信息列表。
     *
     * @param map 查询条件参数对象。
     * @return 患者回访信息列表。
     * @author mtx
     * @date 2024/5/27 9:26
     */
    @Override
    public List<PatientFollowUpVO> findFollowUpLists(Map<String, String> map) {
        return this.baseMapper.findFollowUpLists(map);
    }

}
