package com.eitc.patient.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * CollectCostPatientsDetailsVO
 *
 * @author mtx
 * @date: 2024/07/22 14:04
 */
@Data
@ApiModel("患者收费信息")
public class CollectCostPatientsDetailsVO {

    @ApiModelProperty(value = "患者收费ID", name = "collectCostPatientsId")
    @NotBlank(message = "患者收费ID不能为空")
    private String collectCostPatientsId;

    @ApiModelProperty(value = "应收费用", name = "receivableCost")
    private BigDecimal receivableCost;

    @ApiModelProperty(value = "实收费用", name = "netReceiptsCost")
    private BigDecimal netReceiptsCost;

    @ApiModelProperty(value = "收费状态（1待收费，2已收费）", name = "costStatus")
    private Integer costStatus;

    @ApiModelProperty(value = "患者收费信息详情", name = "collectCostPatientsDetailsList")
    @NotNull(message = "患者收费信息详情不能为空")
    private List<CollectCostPatientsDetailsListVO> listVO;

}

