package com.eitc.patient.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * MedicalRecordTemplate
 *
 * @author mtx
 * @date: 2024/06/05 8:34
 */
@Data
@ApiModel("病例详情表")
public class MedicalRecordTemplateVO {

//    private String medicalRecordId;

    @ApiModelProperty(value = "患者姓名", name = "patientName")
    private String patientName;

    @ApiModelProperty(value = "性别（1男，2女）", name = "sex")
    private Integer sex;

    @ApiModelProperty(value = "年龄", name = "age")
    private Integer age;

    @ApiModelProperty(value = "出生日期", name = "birthday")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date birthday;

    @ApiModelProperty(value = "民族", name = "nationality")
    private String nationality;

    @ApiModelProperty(value = "婚姻", name = "marriage")
    private Integer marriage;

    @ApiModelProperty(value = "患者手机号", name = "patientPhone")
    private String patientPhone;

    @ApiModelProperty(value = "工作单位", name = "workUnit")
    private String workUnit;

    @ApiModelProperty(value = "职业", name = "occupation")
    private String occupation;

    @ApiModelProperty(value = "家庭住址", name = "homeAddress")
    private String homeAddress;

    @ApiModelProperty(value = "联系人电话", name = "linkPhone")
    private String linkPhone;

    @ApiModelProperty(value = "与患者关系", name = "personalRelationship")
    private String personalRelationship;

    @ApiModelProperty(value = "公司名称", name = "companyName")
    private String companyName;

    private Map<String, List<MedicalRecordDetailsVO>> listMap;

    private String content;

}
